App\MemberBundle\Entity\ADecTransformation:
  type: entity
  repositoryClass: App\MemberBundle\Repository\ADecTransformationRepository
  table: ADec_Transformation
  id:
    id:
      type: integer
      column: TransformID
      generator:
        strategy: IDENTITY
  fields:
    prev_firm_id:
      type: integer
      column: Prev_FirmID
      nullable: true
    trans_top_ma:
      type: integer
      column: TransTopMA
      options:
          default: 0
    trans_top_mc:
      type: integer
      column: TransTopMC
      options:
          default: 0
    trans_top_mi:
      type: integer
      column: TransTopMI
      options:
          default: 0
    trans_top_mw:
      type: integer
      column: TransTopMW
      options:
          default: 0
    trans_top_fa:
      type: integer
      column: TransTopFA
      options:
          default: 0
    trans_top_fc:
      type: integer
      column: TransTopFC
      options:
          default: 0
    trans_top_fi:
      type: integer
      column: TransTopFI
      options:
          default: 0
    trans_top_fw:
      type: integer
      column: TransTopFW
      options:
          default: 0
    trans_top_mn:
      type: integer
      column: TransTopMN
      options:
          default: 0
    trans_top_fn:
      type: integer
      column: TransTopFN
      options:
          default: 0
    trans_senior_ma:
      type: integer
      column: TransSeniorMA
      options:
          default: 0
    trans_senior_mc:
      type: integer
      column: TransSeniorMC
      options:
          default: 0
    trans_senior_mi:
      type: integer
      column: TransSeniorMI
      options:
          default: 0
    trans_senior_mw:
      type: integer
      column: TransSeniorMW
      options:
          default: 0
    trans_senior_fa:
      type: integer
      column: TransSeniorFA
      options:
          default: 0
    trans_senior_fc:
      type: integer
      column: TransSeniorFC
      options:
          default: 0
    trans_senior_fi:
      type: integer
      column: TransSeniorFI
      options:
          default: 0
    trans_senior_fw:
      type: integer
      column: TransSeniorFW
      options:
          default: 0
    trans_senior_mn:
      type: integer
      column: TransSeniorMN
      options:
          default: 0
    trans_senior_fn:
      type: integer
      column: TransSeniorFN
      options:
          default: 0
    trans_prof_ma:
      type: integer
      column: TransProfMA
      options:
          default: 0
    trans_prof_mc:
      type: integer
      column: TransProfMC
      options:
          default: 0
    trans_prof_mi:
      type: integer
      column: TransProfMI
      options:
          default: 0
    trans_prof_mw:
      type: integer
      column: TransProfMW
      options:
          default: 0
    trans_prof_fa:
      type: integer
      column: TransProfFA
      options:
          default: 0
    trans_prof_fc:
      type: integer
      column: TransProfFC
      options:
          default: 0
    trans_prof_fi:
      type: integer
      column: TransProfFI
      options:
          default: 0
    trans_prof_fw:
      type: integer
      column: TransProfFW
      options:
          default: 0
    trans_prof_mn:
      type: integer
      column: TransProfMN
      options:
          default: 0
    trans_prof_fn:
      type: integer
      column: TransProfFN
      options:
          default: 0
    trans_skilled_ma:
      type: integer
      column: TransSkilledMA
      options:
          default: 0
    trans_skilled_mc:
      type: integer
      column: TransSkilledMC
      options:
          default: 0
    trans_skilled_mi:
      type: integer
      column: TransSkilledMI
      options:
          default: 0
    trans_skilled_mw:
      type: integer
      column: TransSkilledMW
      options:
          default: 0
    trans_skilled_fa:
      type: integer
      column: TransSkilledFA
      options:
          default: 0
    trans_skilled_fc:
      type: integer
      column: TransSkilledFC
      options:
          default: 0
    trans_skilled_fi:
      type: integer
      column: TransSkilledFI
      options:
          default: 0
    trans_skilled_fw:
      type: integer
      column: TransSkilledFW
      options:
          default: 0
    trans_skilled_mn:
      type: integer
      column: TransSkilledMN
      options:
          default: 0
    trans_skilled_fn:
      type: integer
      column: TransSkilledFN
      options:
          default: 0
    trans_semi_ma:
      type: integer
      column: TransSemiMA
      options:
          default: 0
    trans_semi_mc:
      type: integer
      column: TransSemiMC
      options:
          default: 0
    trans_semi_mi:
      type: integer
      column: TransSemiMI
      options:
          default: 0
    trans_semi_mw:
      type: integer
      column: TransSemiMW
      options:
          default: 0
    trans_semi_fa:
      type: integer
      column: TransSemiFA
      options:
          default: 0
    trans_semi_fc:
      type: integer
      column: TransSemiFC
      options:
          default: 0
    trans_semi_fi:
      type: integer
      column: TransSemiFI
      options:
          default: 0
    trans_semi_fw:
      type: integer
      column: TransSemiFW
      options:
          default: 0
    trans_semi_mn:
      type: integer
      column: TransSemiMN
      options:
          default: 0
    trans_semi_fn:
      type: integer
      column: TransSemiFN
      options:
          default: 0
    trans_unskill_ma:
      type: integer
      column: TransUnskillMA
      options:
          default: 0
    trans_unskill_mc:
      type: integer
      column: TransUnskillMC
      options:
          default: 0
    trans_unskill_mi:
      type: integer
      column: TransUnskillMI
      options:
          default: 0
    trans_unskill_mw:
      type: integer
      column: TransUnskillMW
      options:
          default: 0
    trans_unskill_fa:
      type: integer
      column: TransUnskillFA
      options:
          default: 0
    trans_unskill_fc:
      type: integer
      column: TransUnskillFC
      options:
          default: 0
    trans_unskill_fi:
      type: integer
      column: TransUnskillFI
      options:
          default: 0
    trans_unskill_fw:
      type: integer
      column: TransUnskillFW
      options:
          default: 0
    trans_unskill_mn:
      type: integer
      column: TransUnskillMN
      options:
          default: 0
    trans_unskill_fn:
      type: integer
      column: TransUnskillFN
      options:
          default: 0
    trans_temp_ma:
      type: integer
      column: TransTempMA
      options:
          default: 0
    trans_temp_mc:
      type: integer
      column: TransTempMC
      options:
          default: 0
    trans_temp_mi:
      type: integer
      column: TransTempMI
      options:
          default: 0
    trans_temp_mw:
      type: integer
      column: TransTempMW
      options:
          default: 0
    trans_temp_fa:
      type: integer
      column: TransTempFA
      options:
          default: 0
    trans_temp_fc:
      type: integer
      column: TransTempFC
      options:
          default: 0
    trans_temp_fi:
      type: integer
      column: TransTempFI
      options:
          default: 0
    trans_temp_fw:
      type: integer
      column: TransTempFW
      options:
          default: 0
    trans_temp_mn:
      type: integer
      column: TransTempMN
      options:
          default: 0
    trans_temp_fn:
      type: integer
      column: TransTempFN
      options:
          default: 0
    three_years_average_turnover:
      type: decimal
      column: ThreeYearsAverageTurnover
      precicion: 2
      scale: 2
      nullable: true
    declaration_year:
      type: integer
      column: DeclarationYear
      nullable: true
  oneToOne:
    member_firm:
      targetEntity: ADecMemberFirm
      inversedBy: member_transformation
      joinColumn:
        name: FirmID
        referencedColumnName: FirmID